Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 421019 - sci-misc/cdfplayer - Wolfram CDF Player
Summary: sci-misc/cdfplayer - Wolfram CDF Player
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Andreas K. Hüttel
URL: http://www.wolfram.com/cdf-player/
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-13 18:25 UTC by urcindalo
Modified: 2019-02-06 12:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sci-mathematics/cdfplayer/cdfplayer-8.0.4.ebuild (cdfplayer-8.0.4.ebuild,805 bytes, text/plain)
2012-11-23 16:17 UTC, Jauhien Piatlicki (RETIRED)
Details
cdfplayer-8.0.4-installer.patch (cdfplayer-8.0.4-installer.patch,761 bytes, patch)
2012-11-23 16:18 UTC, Jauhien Piatlicki (RETIRED)
Details | Diff
cdfplayer (cdfplayer,7.58 KB, text/plain)
2012-11-23 16:19 UTC, Jauhien Piatlicki (RETIRED)
Details
cdfplayer-8.0.4.ebuild (cdfplayer-8.0.4.ebuild,813 bytes, text/plain)
2012-11-23 16:39 UTC, Jauhien Piatlicki (RETIRED)
Details
cdfplayer-8.0.4.ebuild (cdfplayer-8.0.4.ebuild,1.05 KB, text/plain)
2012-11-25 00:49 UTC, Jauhien Piatlicki (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description urcindalo 2012-06-13 18:25:25 UTC
Please add Wolfram CDF Player to the tree.

The CDF standard is a computation-powered knowledge container—as everyday as a document, but as interactive as an app.

Once you install CDF Player, you'll be able to...
	Interact with applications from the Wolfram Demonstrations Project
	View Mathematica examples, reports, and files
Comment 1 Jauhien Piatlicki (RETIRED) gentoo-dev 2012-11-23 16:17:53 UTC
Created attachment 330336 [details]
sci-mathematics/cdfplayer/cdfplayer-8.0.4.ebuild

New ebuild for sci-mathematics/cdfplayer
Comment 2 Jauhien Piatlicki (RETIRED) gentoo-dev 2012-11-23 16:18:35 UTC
Created attachment 330340 [details, diff]
cdfplayer-8.0.4-installer.patch
Comment 3 Jauhien Piatlicki (RETIRED) gentoo-dev 2012-11-23 16:19:16 UTC
Created attachment 330342 [details]
cdfplayer

License
Comment 4 Jauhien Piatlicki (RETIRED) gentoo-dev 2012-11-23 16:26:38 UTC
Pull request to science overlay done: https://github.com/gentoo-science/sci/pull/30
Comment 5 Jauhien Piatlicki (RETIRED) gentoo-dev 2012-11-23 16:39:41 UTC
Created attachment 330344 [details]
cdfplayer-8.0.4.ebuild

Installation path fixed
Comment 6 Jauhien Piatlicki (RETIRED) gentoo-dev 2012-11-25 00:49:23 UTC
Created attachment 330514 [details]
cdfplayer-8.0.4.ebuild

installation of desktop file/other fixes
Comment 7 Jauhien Piatlicki (RETIRED) gentoo-dev 2013-01-09 12:49:49 UTC
Available in science overlay: https://github.com/gentoo-science/sci/tree/master/sci-mathematics/cdfplayer

Version bump to 9.0.0
Comment 8 Jauhien Piatlicki (RETIRED) gentoo-dev 2013-03-15 00:52:07 UTC
version bump: 9.0.1
Comment 9 Brian Evans Gentoo Infrastructure gentoo-dev 2019-02-04 20:01:04 UTC
Looks like it's already here
Comment 10 urcindalo 2019-02-06 12:02:37 UTC
I  just installed CDF Player 11.3, but on the first launch this error appears:
=====
$ /opt/bin/WolframCDFPlayer
/opt/Wolfram/CDFPlayer/11.3/SystemFiles/FrontEnd/Binaries/Linux-x86-64/WolframCDFPlayer: symbol lookup error: /usr/lib64/libfontconfig.so.1: undefined symbol: FT_Done_MM_Var
=====

Also, this message appears at the end of the emerge process:
=====

>>> Recording sci-misc/cdfplayer in "world" favorites file...

 * Messages for package sci-misc/cdfplayer-11.3.0:

 * QA Notice: .desktop files with MimeType= were found installed
 * but desktop mimeinfo cache has not been updated:
 *   /usr/share/applications/wolfram-cdf11.desktop
 * Please make sure to call xdg_desktop_database_update()
 * in pkg_postinst() and pkg_postrm() phases of appropriate pkgs.